Debian Bug report logs - #578829
ITP: wannier90 -- Maximally Localized Wannier Functions

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yann Pouillon <yann.pouillon@ehu.es>

Date: Thu, 22 Apr 2010 22:45:02 UTC

Owned by: Yann Pouillon <yann.pouillon@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#578829; Package wnpp. (Thu, 22 Apr 2010 22:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@ehu.es>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 22 Apr 2010 22:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@ehu.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: wannier90 -- Maximally Localized Wannier Functions
Date: Fri, 23 Apr 2010 00:30:04 +0200
Package: wnpp
Severity: wishlist
Owner: Yann Pouillon <yann.pouillon@ehu.es>


* Package name    : wannier90
  Version         : 1.2
  Upstream Author : Arash Mostofi <a.mostofi@imperial.ac.uk>
* URL             : http://www.wannier.org/
* License         : GPL
  Programming Lang: Fortran 90
  Description     : Maximally Localized Wannier Functions

Package: wannier90
Section: science
Architecture: any
Depends: ${shlibs:Depends}
Recommends: abinit, gnuplot, v-sim
Description: Maximally Localized Wannier Functions - Core files
 Wannier90 is an electronic-structure software computing
 maximally-localized Wannier functions (MLWF). It works on top of other
 electronic-structure software, such as Abinit, FLEUR, and PwSCF.
 .
 This package provides the dynamic Wannier90 library and the wannier90.x
 executable.

Package: wannier90-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: wannier90 (= ${binary:Version})
Description: Maximally Localized Wannier Functions - Debugging symbols
 Wannier90 is an electronic-structure software computing
 maximally-localized Wannier functions (MLWF). It works on top of other
 electronic-structure software, such as Abinit, FLEUR, and PwSCF.
 .
 This package contains debugging symbol tables for the static Wannier90
 libraries from the wannier90-dev package, as well as those for the
 executables from the wannier90 packge.

Package: wannier90-dev
Section: libdevel
Architecture: any
Depends: wannier90 (= ${binary:Version}), libatlas-base-dev
Description: Maximally Localized Wannier Functions - Development files
 Wannier90 is an electronic-structure software computing
 maximally-localized Wannier functions (MLWF). It works on top of other
 electronic-structure software, such as Abinit, FLEUR, and PwSCF.
 .
 This package contains the development files needed to interface other
 software with Wannier90.

Package: wannier90-doc
Section: doc
Architecture: all
Recommends: wannier90
Description: Maximally Localized Wannier Functions - Documentation
 Wannier90 is an electronic-structure software computing
 maximally-localized Wannier functions (MLWF). It works on top of other
 electronic-structure software, such as Abinit, FLEUR, and PwSCF.
 .
 This package contains the documentation of Wannier90.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yann Pouillon <yann.pouillon@ehu.es>:
Bug#578829; Package wnpp. (Sat, 19 Feb 2011 18:02:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yann Pouillon <yann.pouillon@ehu.es>. (Sat, 19 Feb 2011 18:02:29 GMT) Full text and rfc822 format available.

Message #10 received at 578829@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 578829@bugs.debian.org
Cc: control@bugs.debian.org
Subject: wannier90: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:07:53 +0000
retitle 578829 RFP: wannier90 -- Maximally Localized Wannier Functions
noowner 578829
thanks

Hi,

This is an automatic email to change the status of wannier90 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting wannier90, please send a mail to
<control@bugs.debian.org> with:

 retitle 578829 ITP: wannier90 -- Maximally Localized Wannier Functions
 owner 578829 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <578829@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: wannier90 -- Maximally Localized Wannier Functions' from 'ITP: wannier90 -- Maximally Localized Wannier Functions' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:08:02 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Yann Pouillon <yann.pouillon@ehu.es>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:08:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: wannier90 -- Maximally Localized Wannier Functions' from 'RFP: wannier90 -- Maximally Localized Wannier Functions' Request was from Yann Pouillon <yann.pouillon@gmail.com> to control@bugs.debian.org. (Sat, 19 Feb 2011 20:09:05 GMT) Full text and rfc822 format available.

Owner recorded as Yann Pouillon <yann.pouillon@gmail.com>. Request was from Yann Pouillon <yann.pouillon@gmail.com> to control@bugs.debian.org. (Sat, 19 Feb 2011 20:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578829; Package wnpp. (Sat, 19 Feb 2011 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 19 Feb 2011 21:21:07 GMT) Full text and rfc822 format available.

Message #23 received at 578829@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@gmail.com>
To: 578829@bugs.debian.org
Subject: Preliminary package created
Date: Sat, 19 Feb 2011 22:17:59 +0100
[Message part 1 (text/plain, inline)]
I've created a preliminary package. I'll continue to work on it until
Lintian is happy with it.

Yann.

-- 
Free Software is good for you.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578829; Package wnpp. (Mon, 13 Jun 2011 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 13 Jun 2011 10:03:11 GMT) Full text and rfc822 format available.

Message #28 received at 578829@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@gmail.com>
To: 578829@bugs.debian.org
Subject: First package ready
Date: Mon, 13 Jun 2011 12:00:21 +0200
[Message part 1 (text/plain, inline)]
Hi,

A first package for Wannier90 is now ready. It has been tested for a
few months on different machines. Wrt upstream, the build system has
been somewhat improved.

As upstream developers do not wish to bring changes to their current
build system, and as we want to be able to allow for dynamic linking
against the library provided by the package, I have agreed with them
that they will now leave a few tags at some critical places in the
source, so that I can keep the package up-to-date with upstream in a
semi-automatic manner.

I'll soon file a RFS.

Best regards,

Yann.

-- 
Free Software is good for you.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578829; Package wnpp. (Wed, 08 Feb 2012 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 08 Feb 2012 10:03:24 GMT) Full text and rfc822 format available.

Message #33 received at 578829@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@gmail.com>
To: 578829@bugs.debian.org, 602100@bugs.debian.org, 602104@bugs.debian.org, 602113@bugs.debian.org, 602092@bugs.debian.org, 602093@bugs.debian.org, 602126@bugs.debian.org, 602097@bugs.debian.org, 602111@bugs.debian.org
Subject: Multi-distribution package in preparation
Date: Wed, 8 Feb 2012 10:59:30 +0100
[Message part 1 (text/plain, inline)]
Hi,

Due to the diversity of configurations available in our scientific
network (http://etsf.eu/), we have decided to prepare all our packages
for different Debian-based distributions at once:

  * Debian Squeeze
  * Debian Wheezy
  * Ubuntu Lucid Lynx
  * Ubuntu Precise Pangolin
  * Mint 13

I'm currently preparing helper scripts to facilitate the task and will
be in touch with the respective packager teams.

We expect to have some packages ready this Summer.

Best regards,

Yann.

-- 
Free Software is good for you.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yann Pouillon <yann.pouillon@gmail.com>:
Bug#578829; Package wnpp. (Mon, 27 May 2013 14:11:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yann Pouillon <yann.pouillon@gmail.com>. (Mon, 27 May 2013 14:11:10 GMT) Full text and rfc822 format available.

Message #38 received at 578829@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 578829@bugs.debian.org
Cc: control@bugs.debian.org
Subject: wannier90: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:21 +0200
retitle 578829 RFP: wannier90 -- Maximally Localized Wannier Functions
noowner 578829
tag 578829 - pending
thanks

Hi,

This is an automatic email to change the status of wannier90 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting wannier90, please send a mail to
<control@bugs.debian.org> with:

 retitle 578829 ITP: wannier90 -- Maximally Localized Wannier Functions
 owner 578829 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <578829@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: wannier90 -- Maximally Localized Wannier Functions' from 'ITP: wannier90 -- Maximally Localized Wannier Functions' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:38:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Yann Pouillon <yann.pouillon@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:38:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: wannier90 -- Maximally Localized Wannier Functions' from 'RFP: wannier90 -- Maximally Localized Wannier Functions' Request was from Yann Pouillon <yann.pouillon@gmail.com> to control@bugs.debian.org. (Mon, 27 May 2013 17:33:13 GMT) Full text and rfc822 format available.

Owner recorded as Yann Pouillon <yann.pouillon@gmail.com>. Request was from Yann Pouillon <yann.pouillon@gmail.com> to control@bugs.debian.org. (Mon, 27 May 2013 17:33:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578829; Package wnpp. (Fri, 13 Sep 2013 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 13 Sep 2013 09:33:04 GMT) Full text and rfc822 format available.

Message #51 received at 578829@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@gmail.com>
To: 578829@bugs.debian.org
Subject: Preparing package
Date: Fri, 13 Sep 2013 11:30:38 +0200
Hi,

I've open a git repository for Wannier90 and I'm converting my Bazaar
history to Git. I'll file a RFS once pushed the latest revision.

Best regards,

Yann.

-- 
Free Software is good for you.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578829; Package wnpp. (Fri, 28 Mar 2014 16:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Mar 2014 16:45:05 GMT) Full text and rfc822 format available.

Message #56 received at 578829@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@gmail.com>
To: 578829@bugs.debian.org, 602092@bugs.debian.org, 602093@bugs.debian.org, 602100@bugs.debian.org
Subject: Packaging strategy update
Date: Fri, 28 Mar 2014 17:41:01 +0100
[Message part 1 (text/plain, inline)]
Hi,

We're currently discussing the creation of a generic library for
Density-Functional Theory (DFT), where the current package could be
included partly or fully. We're thus reshaping our packaging strategy
accordingly.

More news as soon as possible.

Best regards,

Yann.

-- 
Free Software is good for you.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#578829; Package wnpp. (Fri, 28 Mar 2014 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann Pouillon <yann.pouillon@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Mar 2014 17:36:04 GMT) Full text and rfc822 format available.

Message #61 received at 578829@bugs.debian.org (full text, mbox):

From: Yann Pouillon <yann.pouillon@gmail.com>
To: 578829@bugs.debian.org
Subject: Packaging both major versions at once
Date: Fri, 28 Mar 2014 18:31:47 +0100
[Message part 1 (text/plain, inline)]
Hi,

The upstream authors of Wannier90 recently released version 2.0. Since
other software projects still depend on version 1.2, and because the
migration will take some time, I'll rename the binary packages so that
both versions can be installed at the same time.

Best regards,

Yann.

-- 
Free Software is good for you.
[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:22:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.